Module __builtin__ :: Class str

[show private | hide private]
[frames | no frames]

## Class str

    object --+
             |
            str

str(object) -> string

Return a nice string representation of the object. If the argument is a string, the return value is the same object.

Method Summary
a new object with type S, a subtype of T | ``__new__`(S, ...)` T.__new__(S, ...) -> a new object with type S, a subtype of T

Class Variable Summary
`wrapper_descriptor` | `__add__`
`wrapper_descriptor` | `__contains__`
`wrapper_descriptor` | `__eq__`
`wrapper_descriptor` | `__ge__`
`wrapper_descriptor` | `__getattribute__`
`wrapper_descriptor` | `__getitem__`
`wrapper_descriptor` | `__getslice__`
`wrapper_descriptor` | `__gt__`
`wrapper_descriptor` | `__hash__`
`wrapper_descriptor` | `__le__`
`wrapper_descriptor` | `__len__`
`wrapper_descriptor` | `__lt__`
`wrapper_descriptor` | `__mul__`
`wrapper_descriptor` | `__ne__`
`wrapper_descriptor` | `__repr__`
`wrapper_descriptor` | `__rmul__`
`wrapper_descriptor` | `__str__`
`method_descriptor` | `capitalize`
`method_descriptor` | `center`
`method_descriptor` | `count`
`method_descriptor` | `decode`
`method_descriptor` | `encode`
`method_descriptor` | `endswith`
`method_descriptor` | `expandtabs`
`method_descriptor` | `find`
`method_descriptor` | `index`
`method_descriptor` | `isalnum`
`method_descriptor` | `isalpha`
`method_descriptor` | `isdigit`
`method_descriptor` | `islower`
`method_descriptor` | `isspace`
`method_descriptor` | `istitle`
`method_descriptor` | `isupper`
`method_descriptor` | `join`
`method_descriptor` | `ljust`
`method_descriptor` | `lower`
`method_descriptor` | `lstrip`
`method_descriptor` | `replace`
`method_descriptor` | `rfind`
`method_descriptor` | `rindex`
`method_descriptor` | `rjust`
`method_descriptor` | `rstrip`
`method_descriptor` | `split`
`method_descriptor` | `splitlines`
`method_descriptor` | `startswith`
`method_descriptor` | `strip`
`method_descriptor` | `swapcase`
`method_descriptor` | `title`
`method_descriptor` | `translate`
`method_descriptor` | `upper`

Method Details

### __new__(S, ...)

T.__new__(S, ...) -> a new object with type S, a subtype of T

  Returns:
    a new object with type S, a subtype of T

Class Variable Details

### __add__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__add__' of 'str' objects>

### __contains__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__contains__' of 'str' objects>

### __eq__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__eq__' of 'str' objects>

### __ge__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ge__' of 'str' objects>

### __getattribute__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__getattribute__' of 'str' objects>

### __getitem__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__getitem__' of 'str' objects>

### __getslice__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__getslice__' of 'str' objects>

### __gt__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__gt__' of 'str' objects>

### __hash__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__hash__' of 'str' objects>

### __le__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__le__' of 'str' objects>

### __len__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__len__' of 'str' objects>

### __lt__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__lt__' of 'str' objects>

### __mul__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__mul__' of 'str' objects>

### __ne__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__ne__' of 'str' objects>

### __repr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__repr__' of 'str' objects>

### __rmul__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__rmul__' of 'str' objects>

### __str__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__str__' of 'str' objects>

### capitalize

  Type:
    `method_descriptor`
  Value:

        <method 'capitalize' of 'str' objects>

### center

  Type:
    `method_descriptor`
  Value:

        <method 'center' of 'str' objects>

### count

  Type:
    `method_descriptor`
  Value:

        <method 'count' of 'str' objects>

### decode

  Type:
    `method_descriptor`
  Value:

        <method 'decode' of 'str' objects>

### encode

  Type:
    `method_descriptor`
  Value:

        <method 'encode' of 'str' objects>

### endswith

  Type:
    `method_descriptor`
  Value:

        <method 'endswith' of 'str' objects>

### expandtabs

  Type:
    `method_descriptor`
  Value:

        <method 'expandtabs' of 'str' objects>

### find

  Type:
    `method_descriptor`
  Value:

        <method 'find' of 'str' objects>

### index

  Type:
    `method_descriptor`
  Value:

        <method 'index' of 'str' objects>

### isalnum

  Type:
    `method_descriptor`
  Value:

        <method 'isalnum' of 'str' objects>

### isalpha

  Type:
    `method_descriptor`
  Value:

        <method 'isalpha' of 'str' objects>

### isdigit

  Type:
    `method_descriptor`
  Value:

        <method 'isdigit' of 'str' objects>

### islower

  Type:
    `method_descriptor`
  Value:

        <method 'islower' of 'str' objects>

### isspace

  Type:
    `method_descriptor`
  Value:

        <method 'isspace' of 'str' objects>

### istitle

  Type:
    `method_descriptor`
  Value:

        <method 'istitle' of 'str' objects>

### isupper

  Type:
    `method_descriptor`
  Value:

        <method 'isupper' of 'str' objects>

### join

  Type:
    `method_descriptor`
  Value:

        <method 'join' of 'str' objects>

### ljust

  Type:
    `method_descriptor`
  Value:

        <method 'ljust' of 'str' objects>

### lower

  Type:
    `method_descriptor`
  Value:

        <method 'lower' of 'str' objects>

### lstrip

  Type:
    `method_descriptor`
  Value:

        <method 'lstrip' of 'str' objects>

### replace

  Type:
    `method_descriptor`
  Value:

        <method 'replace' of 'str' objects>

### rfind

  Type:
    `method_descriptor`
  Value:

        <method 'rfind' of 'str' objects>

### rindex

  Type:
    `method_descriptor`
  Value:

        <method 'rindex' of 'str' objects>

### rjust

  Type:
    `method_descriptor`
  Value:

        <method 'rjust' of 'str' objects>

### rstrip

  Type:
    `method_descriptor`
  Value:

        <method 'rstrip' of 'str' objects>

### split

  Type:
    `method_descriptor`
  Value:

        <method 'split' of 'str' objects>

### splitlines

  Type:
    `method_descriptor`
  Value:

        <method 'splitlines' of 'str' objects>

### startswith

  Type:
    `method_descriptor`
  Value:

        <method 'startswith' of 'str' objects>

### strip

  Type:
    `method_descriptor`
  Value:

        <method 'strip' of 'str' objects>

### swapcase

  Type:
    `method_descriptor`
  Value:

        <method 'swapcase' of 'str' objects>

### title

  Type:
    `method_descriptor`
  Value:

        <method 'title' of 'str' objects>

### translate

  Type:
    `method_descriptor`
  Value:

        <method 'translate' of 'str' objects>

### upper

  Type:
    `method_descriptor`
  Value:

        <method 'upper' of 'str' objects>

Generated by Epydoc 1.1 on Thu May 8 13:18:16 2003 | http://epydoc.sf.net